usb_gadget_vbus_connect
Prev | Core Objects and Methods | Next

## Name

usb_gadget_vbus_connect — Notify controller that VBUS is powered

## Synopsis

`int usb_gadget_vbus_connect (` | struct usb_gadget * | gadget`)`;

## Arguments

`gadget`

  The device which now has VBUS power.

## Description

This call is used by a driver for an external transceiver (or GPIO) that detects a VBUS power session starting. Common responses include resuming the controller, activating the D+ (or D-) pullup to let the host detect that a USB device is attached, and starting to draw power (8mA or possibly more, especially after SET_CONFIGURATION).

Returns zero on success, else negative errno.

Prev | Up | Next
usb_gadget_clear_selfpowered | Home | usb_gadget_vbus_draw